package cn.freemud.entities.dto.promotion;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Min;

public class ActivityGoodsStockVO {
    @ApiModelProperty(value="商品id", name="goodsId", example="1827335")
    private String goodsId;
    @ApiModelProperty(value="库存", name="stock", example="100")
    @Min(1)
    private Integer stock;
    @ApiModelProperty(value="原始库存", name="originalStock", example="100")
    private Integer originalStock;
    @ApiModelProperty(value="可用库存", name="availableStock", example="100")
    private Integer availableStock;
    @ApiModelProperty(value="阶梯", name="benefitSeq", example="1")
    private Integer benefitSeq;

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public Integer getStock() {
        return stock;
    }

    public void setStock(Integer stock) {
        this.stock = stock;
    }

    public Integer getBenefitSeq() {
        return benefitSeq;
    }

    public void setBenefitSeq(Integer benefitSeq) {
        this.benefitSeq = benefitSeq;
    }

    public Integer getOriginalStock() {
        return originalStock;
    }

    public void setOriginalStock(Integer originalStock) {
        this.originalStock = originalStock;
    }

    public Integer getAvailableStock() {
        return availableStock;
    }

    public void setAvailableStock(Integer availableStock) {
        this.availableStock = availableStock;
    }
}